{% macro card_notif(header, border = 'yes') %}
    <div class="{{ border == 'yes' ? 'card' : '' }}" id="{{ header|replace({' ':''}) }}" style="border-radius: 8px; height: 134px">
        <div class="card-body" style="padding: 0.8rem">
            <label class="mb-1 text-muted" style="font-size: 12pt">{{ header }}</label>
            <div class="text-center" id="loading">
                <div id="circularG" style="">
                    <div id="circularG_1" class="circularG"></div>
                    <div id="circularG_2" class="circularG"></div>
                    <div id="circularG_3" class="circularG"></div>
                    <div id="circularG_4" class="circularG"></div>
                    <div id="circularG_5" class="circularG"></div>
                    <div id="circularG_6" class="circularG"></div>
                    <div id="circularG_7" class="circularG"></div>
                    <div id="circularG_8" class="circularG"></div>
                </div>
            </div>
            <h4 class="mb-1 card-title" id="body" style="font-size: 28pt"></h4>
            <label id="label" class="card-subtitle mb-2 text-muted" style="font-size: 12pt">

                {#                    {% if status %}#}
                {#                        {% if status == 'up' %}#}
                {#                            <span class="fa fa-arrow-up colorGreen"></span><span class="colorGreen">{{ txtstatus }}</span>#}
                {#                        {% else %}#}
                {#                            <span class="fa fa-arrow-down colorRed"></span><span class="colorRed">{{ txtstatus }}</span>#}
                {#                        {% endif %}#}
                {#                    {% endif %}#}
                {#                    {{ status == null ? '' : (status == 'up' ?  : )   }}#}
                {#                    {{ footer }}#}
            </label>
        </div>
    </div>
{% endmacro %}



{% macro card_notifJS(header, url,label = null) %}
{#        <script>#}
            $(document).ready(function () {
    $("#{{ header|replace({' ':''}) }} #loading ").html('<div id="circularG" style="">\n' +
        '                    <div id="circularG_1" class="circularG"></div>\n' +
        '                    <div id="circularG_2" class="circularG"></div>\n' +
        '                    <div id="circularG_3" class="circularG"></div>\n' +
        '                    <div id="circularG_4" class="circularG"></div>\n' +
        '                    <div id="circularG_5" class="circularG"></div>\n' +
        '                    <div id="circularG_6" class="circularG"></div>\n' +
        '                    <div id="circularG_7" class="circularG"></div>\n' +
        '                    <div id="circularG_8" class="circularG"></div>\n' +
        '                </div>')
                {#var dat = '{{ dat }}'.replace(/&quot;/g, '\"');#}
                var url = '{{ path(url, {parameter : 'tipe', start : 'awal',end : 'selesai'}) }}';
{#                    url = url.replace('tipe',datatest.parameter);#}
                    url = url.replace('awal',datatest.start);
                    url = url.replace('selesai',datatest.end);
                    url = url.split("&amp;").join('&');
                console.log(url);
                $.get(url, function (data) {
                    // console.log(data);
                    // console.log(data['payload']['new']);
                    var val = data['payload'];
                    if (data['code'] === 200) {
                        $("#{{ header|replace({' ':''}) }} #loading ").remove();
                        $("#{{ header|replace({' ':''}) }} #body").html(val['data']);
                        if (val['status'] === 'up') {
                            $("#{{ header|replace({' ':''}) }} #label").html('<span class="fa fa-arrow-up colorGreen"></span><span class="colorGreen">' + val['percen'] + '% </span>')
                        } else if (val['status'] === 'down') {
                            $("#{{ header|replace({' ':''}) }} #label").html('<span class="fa fa-arrow-down colorRed"></span><span class="colorRed">' + val['percen'] + '% </span>')
                        } else if (val['status'] === 'equal') {
                            $("#{{ header|replace({' ':''}) }} #label").html('')
                        }

                        $("#{{ header|replace({' ':''}) }} #label").append('{{ label }}')
                    }
                })
            });
{#         // </script>#}
{% endmacro %}


